/****************************************************************
Definitions exported by LIME into the namespace of all Pthread nodes

Copyright 2008 Pjotr Kourzanov

This file is part of LIME.

LIME is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

LIME is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LIME.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/
#ifndef __PTHREAD__
#define __PTHREAD__
// this is the x.y.z version (x.y.z)=x*100^2+y*100+z of the Pthread
#define __UPTHREAD_VERSION 0 // x.y.z=0.0.1

#if defined(__LIME__)
#include <common.h>
#include <pragmas.h>
#endif//__LIME__

#if !defined(__LIME__)
#include <LIME_common.h>
#include <LIME_pragmas.h>
#endif//!defined(LIME)

#include <stdint.h>

typedef int bool;
#define true	1
#define false 	0
#define ZERO 	0

typedef void actor;
typedef unsigned int varrate_actor;

#include <LIME_global.h>

// Pthread local policies for defaults:

Lime(type relax unfold)

#endif//__PTHREAD__
