/****************************************************************
Plumbing needed to use the tracing facility from debug module

Copyright 2008 Pjotr Kourzanov

This file is part of LIME.

LIME is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

LIME is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LIME.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/
#if TRACING==1
introspect_t intro = NULL;
void __cyg_profile_func_enter(void* func, void* site) __attribute__ ((no_instrument_function));
void __cyg_profile_func_enter(void* func, void* site)
{
	void **frames[]={
		(void**)__builtin_frame_address(1),
		(void**)__builtin_frame_address(2)
	};
	void *funcs[]={
		func,
		site
	};
	func_call_aspect(TRACEFILE,intro,frames,funcs,FUNC_ENTER);
}
void __cyg_profile_func_exit(void* func, void* site) __attribute__ ((no_instrument_function));
void __cyg_profile_func_exit(void* func, void* site)
{
	void **frames[]={
		(void**)__builtin_frame_address(1),
		(void**)__builtin_frame_address(2)
	};
	void *funcs[]={
		func,
		site
	};
	func_call_aspect(TRACEFILE,intro,frames,funcs,FUNC_EXIT);
}
#endif
