/****************************************************************
This file is part of LIME.

LIME is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

LIME is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LIME.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/
#include UNIX

struct selective;

void process(const unsigned int buf[restrict BUF_SIZE],
  	     struct selective out[restrict 1])
{
	if (buf[0] % 2) {
		int i;
		out->tag=select_buf1;
		for (i=0; i<=BUF_SIZE; i++)
			out->port.buf1[i]=buf[i];
		return;
	}
	{
		int i;
		out->tag=select_buf2;
		for (i=0; i<=BUF_SIZE; i++)
			out->port.buf2[i]=buf[i];
	}
	return;
}
